// JFileFind.cpp: implementation of the JFileFind class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "psat.h"
#include "JFileFind.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

JFileFind::JFileFind()
{

}

JFileFind::~JFileFind()
{

}

__int64 JFileFind::GetLength64() const
{
	ASSERT(m_hContext != NULL);
	ASSERT_VALID(this);

	if (m_pFoundInfo != NULL)
		return ((LPWIN32_FIND_DATA) m_pFoundInfo)->nFileSizeLow +
		((unsigned __int64)((LPWIN32_FIND_DATA)m_pFoundInfo)->nFileSizeHigh << 32);
	else
		return 0;
}
